package org.churchsw.scripture.studyware;

import java.awt.FlowLayout;
import java.awt.Frame;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class LoadingDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	
	JLabel msglbl=new JLabel();
	
	/**
	 * @param owner
	 */
	public LoadingDialog(Frame owner) {
		super(owner);
		initialize();
	}

	public void setMessage(String _message) {
		msglbl.setText(_message);
	}
	
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(235, 96);
		this.setLocationRelativeTo(null);
		this.setTitle("Loading...");
		this.setAlwaysOnTop(true);
		this.setResizable(false);
		this.setContentPane(getJContentPane());
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(new FlowLayout(FlowLayout.CENTER));
			jContentPane.add(msglbl);
			
		}
		return jContentPane;
	}

}
